- Qt 5.15
- Qt Quick
- QML Types
- CloseEvent QML Type
- Qt 5.15.18 Reference Documentation

# CloseEvent QML Type

Notification that a Window is about to be closed. More...

Import Statement: | import QtQuick.Window 2.15
Since: | Qt 5.1

- List of all members, including inherited members

## Properties

- accepted : bool

## Detailed Description

Notification that a window is about to be closed by the windowing system (e.g. the user clicked the title bar close button). The CloseEvent contains an accepted property which can be set to false to abort closing the window.

See also QQuickWindow::closing().

## Property Documentation

accepted : bool

This property indicates whether the application will allow the user to close the window. It is true by default.